Next Generation EFI-Based Boot Manager designed for Mac.

Next Loader is a Boot Manager tailored and designed for Intel Macs in mind, with more flexibility and options, allowing them to do dual-booting or even triple-booting on their Mac.

Download Get Source Code

Beta

Awesome Features

NVMe Built-in Driver

The NvmExpressDxe driver comes built-in and preloaded into Next Loader, allowing you to install any OS and boot from NVMe on unsupported machines.

UEFI GOP Compliant

Compatible with the new GOP protocol included in the most recent Macs, allowing you to use your display at native resolution, even on a Retina Display.

Windows Without Boot Camp

Installs Windows without the need for Boot Camp or an optical drive, now you can install Windows in UEFI mode from a bootable USB drive.

Multi-Boot

Mac do not support the installation of Linux officially. Now you can not only install Windows, but also Linux and have multiple booting options.

Customizable

Next Loader is highly customizable thanks to the built-in theme engine.

Open Source

Next Loader is based on rEFInd and it's open source, released under the "GNU General Public License v3.0" license.

Simple, easy and powerful theming.

Use beautiful pre-built themes well designed and tailored for Next Loader to customize your boot loader. Next Loader also comes with an easy to use a built-in theme engine that allows you to design your own themes. Take complete control of your design, rather than being limited to a few little options.

Browse all Themes

Documentation

Learn how to install, customize and test Next Loader on your Mac, as well as answers to frequently asked questions.

Read Documentation

Bug Reporting

It's not a bug, it's an undocumented feature! 😀 Just kidding, Help us to improve the development by reporting the bug by opening an issue on our GitHub repository.

Open Issue

Compatibility

MacBook
Mid 2007 or newer
MacBook Pro
Early 2008 or newer
MacBook Air
Mid 2009 or newer
iMac
Early 2008 or newer
Mac Mini
Early 2009 or newer
Mac Pro
Early 2008 or newer*
Xserve
Early 2008 or newer*

* To use Next Loader on a Mac Pro or a Xserve, a Mac EFI graphics card is required, including the EVGA GTX 680 Mac Edition, Sapphire HD 7950 Mac Edition, or the standard graphics cards included with the Mac Pro.

Ready to give it a try? Try Next Loader without installing it, from a live USB drive.